# CEGUI::UVector2 Class Reference

Two dimensional vector class built using unified dimensions (UDims). The UVector2 class is used for representing both positions and sizes. More...

Collaboration diagram for CEGUI::UVector2:

[legend]
List of all members.

## Public Member Functions

| UVector2 (const UDim &x, const UDim &y)
Vector2 | asAbsolute (const Size &base) const
Vector2 | asRelative (const Size &base) const
UVector2 | operator+ (const UVector2 &other) const
UVector2 | operator- (const UVector2 &other) const
UVector2 | operator/ (const UVector2 &other) const
UVector2 | operator * (const UVector2 &other) const
const UVector2 & | operator+= (const UVector2 &other)
const UVector2 & | operator-= (const UVector2 &other)
const UVector2 & | operator/= (const UVector2 &other)
const UVector2 & | operator *= (const UVector2 &other)
bool | operator== (const UVector2 &other) const
bool | operator!= (const UVector2 &other) const

## Public Attributes

UDim | d_x
UDim | d_y

## Detailed Description

Two dimensional vector class built using unified dimensions (UDims). The UVector2 class is used for representing both positions and sizes.